Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 57)
@@ -1839,8 +1839,8 @@
                         CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
 
                         CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalDataList.ApprovalPersonName]);
-                        CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
-                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+                        CurCell.Style.BackColor = CommonDefine.ApprovalBackStatusColor[ApprovalStatus];
+                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeStatusColor[ApprovalStatus];
                     }
                     bFirst = false;
                 }
@@ -4216,7 +4216,7 @@
                 strSQL += string.Format(" And PersonCode = {0}", iCode);
                 strSQL += " ORDER BY TargetDate ASC";
                 if (!asdDB.SelectAction(strSQL, ref asdList)) return;
-                if (asdList.Count == 0) return;
+                //if (asdList.Count == 0) return;
 
                 // 行の追加
                 int LineCnt = dgvActionSchedule.Rows.Add();
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 57)
@@ -186,6 +186,9 @@
     <Compile Include="Forms\DataEntry\ApprovalPerson\FrmApprovalPersonAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\DataEntry\ApprovalPerson\SourceUpdate.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\ConstructionBaseInfo\DataChange.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -310,7 +313,7 @@
     <Compile Include="DataModel\ConstructionBudget.cs" />
     <Compile Include="DataModel\DepartmentExpenses.cs" />
     <Compile Include="DataModel\HolidayCalenderMaster.cs" />
-    <Compile Include="DataModel\ExpensesMaster.cs" />
+    <Compile Include="DataModel\TypeExpensesMaster.cs" />
     <Compile Include="DataModel\MessageBoardTerget.cs" />
     <Compile Include="DataModel\MessageBoardData.cs" />
     <Compile Include="DataModel\EstimateBudget.cs" />
@@ -371,7 +374,7 @@
     <Compile Include="DB\IOAccess\IOMessageBoardDataTerget.cs" />
     <Compile Include="DB\IOAccess\IOMSubContractorJobItem.cs" />
     <Compile Include="DB\IOAccess\IOMSubContractorItem.cs" />
-    <Compile Include="DB\IOAccess\IOMExpenses.cs" />
+    <Compile Include="DB\IOAccess\IOMTypeExpenses.cs" />
     <Compile Include="DB\IOAccess\IOMessageBoardData.cs" />
     <Compile Include="DB\IOAccess\IOMDepartment.cs" />
     <Compile Include="DB\IOAccess\IOMBusinessType.cs" />
@@ -954,12 +957,6 @@
     <Compile Include="Forms\Master\Division\FrmDivisionMaster.designer.cs">
       <DependentUpon>FrmDivisionMaster.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\Master\Expenses\FrmExpenses.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\Master\Expenses\FrmExpenses.designer.cs">
-      <DependentUpon>FrmExpenses.cs</DependentUpon>
-    </Compile>
     <Compile Include="Forms\Master\Orderer\FrmOrderers.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1283,9 +1280,6 @@
     <EmbeddedResource Include="Forms\Master\Division\FrmDivisionMaster.resx">
       <DependentUpon>FrmDivisionMaster.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Forms\Master\Expenses\FrmExpenses.resx">
-      <DependentUpon>FrmExpenses.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Forms\Master\Orderer\FrmOrderers.resx">
       <DependentUpon>FrmOrderers.cs</DependentUpon>
     </EmbeddedResource>
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 57)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.14")]
+[assembly: AssemblyFileVersion("0.9.9.15")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
